Bullet Collision Detection & Physics Library: btContactConstraint.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
btContactConstraint.h File Reference
`#include "LinearMath/btVector3.h"`
`#include "btJacobianEntry.h"`
`#include "btTypedConstraint.h"`
`#include "BulletCollision/NarrowPhaseCollision/btPersistentManifold.h"`
Include dependency graph for btContactConstraint.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | btContactConstraint
| btContactConstraint can be automatically created to solve contact constraints using the unified btTypedConstraint interface More...

## Functions
btScalar | resolveSingleCollision (btRigidBody *body1, class btCollisionObject *colObj2, const btVector3 &contactPositionWorld, const btVector3 &contactNormalOnB, const struct btContactSolverInfo &solverInfo, btScalar distance)
| very basic collision resolution without friction
void | resolveSingleBilateral (btRigidBody &body1, const btVector3 &pos1, btRigidBody &body2, const btVector3 &pos2, btScalar distance, const btVector3 &normal, btScalar &impulse, btScalar timeStep)
| resolveSingleBilateral is an obsolete methods used for vehicle friction between two dynamic objects

## Function Documentation

## ◆ resolveSingleBilateral()

void resolveSingleBilateral | ( | btRigidBody & | body1,
|  | const btVector3 & | pos1,
|  | btRigidBody & | body2,
|  | const btVector3 & | pos2,
|  | btScalar | distance,
|  | const btVector3 & | normal,
|  | btScalar & | impulse,
|  | btScalar | timeStep
| ) |  |

resolveSingleBilateral is an obsolete methods used for vehicle friction between two dynamic objects

Definition at line 105 of file btContactConstraint.cpp.

## ◆ resolveSingleCollision()

btScalar resolveSingleCollision | ( | btRigidBody * | body1,
|  | class btCollisionObject * | colObj2,
|  | const btVector3 & | contactPositionWorld,
|  | const btVector3 & | contactNormalOnB,
|  | const struct btContactSolverInfo & | solverInfo,
|  | btScalar | distance
| ) |  |

very basic collision resolution without friction